aboutsummaryrefslogtreecommitdiff
path: root/media/libs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-09 21:14:57 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-09 21:14:57 +0000
commitec88a6cf86abe38a667a25c3ac8535ad1d7aa701 (patch)
treeb58dcc6100afe95e5a335830d5c2a89d924fd3f0 /media/libs
parentdc375697a45ca0cab701c7b14a98393b59ea68b5 (diff)
downloadslackbuilds-ec88a6cf86abe38a667a25c3ac8535ad1d7aa701.tar.gz
slackbuilds-ec88a6cf86abe38a667a25c3ac8535ad1d7aa701.tar.bz2
sdl-mixer: adicionando
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1143 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/libs')
-rwxr-xr-xmedia/libs/sdl-mixer/sdl-mixer.SlackBuild134
-rw-r--r--media/libs/sdl-mixer/slack-required5
2 files changed, 139 insertions, 0 deletions
diff --git a/media/libs/sdl-mixer/sdl-mixer.SlackBuild b/media/libs/sdl-mixer/sdl-mixer.SlackBuild
new file mode 100755
index 00000000..c55ca73e
--- /dev/null
+++ b/media/libs/sdl-mixer/sdl-mixer.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/bash
+#
+# SlackBuild for sdl_mixer
+# http://www.libsdl.org/projects/SDL_mixer/release/
+#
+# Author: Rudson R. Alves
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="SDL_mixer"
+PKG_NAME="sdl_mixer"
+ARCH=${ARCH:=i468}
+SRC_VERSION=${VERSION:=1.2.7}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:="--enable-music-ogg"}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+URL="http://www.libsdl.org/projects/SDL_mixer/release/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="README CHANGES COPYING"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ _ |-----handy-ruler---------------------------------------------------|
+sdl_mixer: SDL_mixer 1.2 by Slack.Sarava
+sdl_mixer:
+sdl_mixer: This is a simple multi-channel audio mixer. It supports 8 channels
+sdl_mixer: of 16 bit stereo audio, plus a single channel of music, mixed by
+sdl_mixer: the popular MikMod MOD, Timidity MIDI and SMPEG MP3 libraries.
+sdl_mixer: The mixer can currently load Microsoft WAVE files and Creative
+sdl_mixer: Labs VOC files as audio samples, and can load MIDI files via
+sdl_mixer: Timidity and the following music formats via MikMod: .MOD .S3M
+sdl_mixer: .IT .XM. It can load Ogg Vorbis streams as music if built with
+sdl_mixer: the Ogg Vorbis libraries, and finally it can load MP3 music
+sdl_mixer: using the SMPEG library.
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
+
diff --git a/media/libs/sdl-mixer/slack-required b/media/libs/sdl-mixer/slack-required
new file mode 100644
index 00000000..c8e0705d
--- /dev/null
+++ b/media/libs/sdl-mixer/slack-required
@@ -0,0 +1,5 @@
+# Dependency list to sdl_image
+#
+# dependency [condition] [version]]
+sdl
+vorbis-tools